Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_TypeCode_out Class Reference

The _out class for TypeCode. More...

`#include <Typecode.h>`

Collaboration diagram for CORBA_TypeCode_out:

[legend]
List of all members.

## Public Methods
| CORBA_TypeCode_out (CORBA_TypeCode_ptr &)
| CORBA_TypeCode_out (CORBA_TypeCode_var &)
| CORBA_TypeCode_out (const CORBA_TypeCode_out &)
CORBA_TypeCode_out& | operator= (const CORBA_TypeCode_out &)
CORBA_TypeCode_out& | operator= (CORBA_TypeCode_ptr)
| operator CORBA_TypeCode_ptr & ()
CORBA_TypeCode_ptr& | ptr (void)
CORBA_TypeCode_ptr | operator-> (void)
## Private Methods
CORBA_TypeCode_out& | operator= (const CORBA_TypeCode_var &)
| Assignment from _var not allowed.
## Private Attributes
CORBA_TypeCode_ptr& | ptr_

## Detailed Description

The _out class for TypeCode.

Implements the _out class for the TypeCode pseudo object.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_TypeCode_out::CORBA_TypeCode_out ( | CORBA_TypeCode_ptr & p )

ACE_INLINE CORBA_TypeCode_out::CORBA_TypeCode_out ( | CORBA_TypeCode_var & p )

ACE_INLINE CORBA_TypeCode_out::CORBA_TypeCode_out ( | const CORBA_TypeCode_out & p )

## Member Function Documentation

ACE_INLINE CORBA_TypeCode_out::operator CORBA_TypeCode_ptr & ( | )

ACE_INLINE CORBA_TypeCode_ptr CORBA_TypeCode_out::operator-> ( | void )

CORBA_TypeCode_out & CORBA_TypeCode_out::operator= ( | const CORBA_TypeCode_var & )`[private]`

| Assignment from _var not allowed.

ACE_INLINE CORBA_TypeCode_out & CORBA_TypeCode_out::operator= ( | CORBA_TypeCode_ptr p )

ACE_INLINE CORBA_TypeCode_out & CORBA_TypeCode_out::operator= ( | const CORBA_TypeCode_out & p )

ACE_INLINE CORBA_TypeCode_ptr & CORBA_TypeCode_out::ptr ( | void )

## Member Data Documentation

CORBA_TypeCode_ptr & CORBA_TypeCode_out::ptr_`[private]`

The documentation for this class was generated from the following files:

- Typecode.h
- Typecode.i